Tag Variable

AI Tools

The various methods for Media plan are listed below:

  1. Get Tag Variables

  2. Create Tag Variable Map

  3. Update Tag Variable

Get Tag Variables

Gets all the DSP to Datasignal to macro mapping for a given campaign.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

campaignId

string

Mandatory

path

ID of the Campaign for which Tags need to be generated

Sample Request

GET http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMap

Sample Response

[ { "adServerId": "Appnexus", //DSP Name "adServerParams": { "abTransitionnDir": "top/left/bottom/right" }, "dataSignal": "ap_DataSignal1", "idx": 5, //Tag variable map idx "macroName": "Advertiser Code" }, { "adServerId": "Appnexus", "adServerParams": {}, "dataSignal": "ap_DataSignal2", "idx": 6, "macroName": "Total Impressions" }, { "adServerId": "Turn", "adServerParams": { "ax": "x" }, "dataSignal": "ap_DataSignal3", "idx": 8, "macroName": "Encoded Advertiser Name" } ]

Create Tag Variable Map

Creates a DSP to Datasignal to macro mapping for a given campaign.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

campaignId

string

Mandatory

path

ID of the Campaign for which Tags need to be generated

Sample Request

POST http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMap

Request Body

{ "adServerId": "Turn", "dataSignal": "ap_DataSignal3", "macroName": "Encoded Advertiser Name", "adServerParams": { "ax": "x" } }

Sample Response

{ "idx": 8, "msg": "Tag conf variable created successfully" }

Update Tag Variable

Updates an existing DSP to Datasignal to macro mapping for a given campaign.

Parameters

Name

Data Type

Requirement

Parameter Type

Description

accountId

string

Mandatory

path

ID of the advertiser account created on the platform.

campaignId

string

Mandatory

path

ID of the Campaign for which Tags need to be generated

Sample Request

PUT http://demo.stub.api.jivox.com/v2/accounts/:accountId/campaign/:campaignId/tagVariablesMap

Request Body

{ "idx": 8, "adServerId": "Turn", "dataSignal": "ap_DataSignal3", "macroName": "Encoded Advertiser Name", "adServerParams": { "ax": "x" } }

Sample Response

{ "idx": 8, "msg": "Tag conf variable updated successfully" }